Data Collection and Indicators
================================

Data collection, storage, and technical indicator calculations.

Technical Indicators
--------------------

.. automodule:: src.data.indicators
   :members:
   :undoc-members:
   :show-inheritance:

Data Collector
--------------

.. automodule:: src.data.collector
   :members:
   :undoc-members:
   :show-inheritance:

Data Storage
------------

.. automodule:: src.data.storage
   :members:
   :undoc-members:
   :show-inheritance:

Data Quality
------------

.. automodule:: src.data.quality
   :members:
   :undoc-members:
   :show-inheritance:

Pricing Service
---------------

The unified pricing service manages multiple data providers with automatic failover.

.. automodule:: src.data.pricing_service
   :members:
   :undoc-members:
   :show-inheritance:

Pricing Providers
-----------------

Base Provider Interface
~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: src.data.providers.base_provider
   :members:
   :undoc-members:
   :show-inheritance:

CCXT Provider
~~~~~~~~~~~~~

.. automodule:: src.data.providers.ccxt_provider
   :members:
   :undoc-members:
   :show-inheritance:

CoinGecko Provider
~~~~~~~~~~~~~~~~~~

.. automodule:: src.data.providers.coingecko_provider
   :members:
   :undoc-members:
   :show-inheritance:

Cache Manager
-------------

Intelligent caching system for pricing data.

.. automodule:: src.data.cache_manager
   :members:
   :undoc-members:
   :show-inheritance:

Health Monitor
--------------

Provider health monitoring and failover management.

.. automodule:: src.data.health_monitor
   :members:
   :undoc-members:
   :show-inheritance:

